// Persistence of Vision Raytracer
// DEM2POV test 


#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

camera {
   location <0.0, 400.0, -1200.0>
   direction <0.0, 0.0, 4.0>
   up <0.0, 1.0, 0.0>        
   right <4/3, 0.0, 0.0>
   look_at <0.0, 50.0, 0.0>
   //angle 66
}



#declare MainLight = color rgb <0.8,0.8,0.8>;
#declare FillLight = color rgb <0.23,0.23,0.25>;

// Light source (main)
light_source { <0.0, 300.0, -60.0> MainLight }
// Light source ( shadow filler )
light_source { <500.0, 300.0, 600.0> FillLight }
#declare nice = color White;
#declare nice2 = color rgb <.2, .2 ,.8>;
height_field  {

   tga "gce.tga"    // x 0-1.0 y 0-1.0 z 0-1.0
   smooth
  // water_level 0.0
  // pigment { White }
   pigment { gradient y  // color map for elevation
		color_map {
			
			[0.0 color <0.25 , 0.25 , 1.0>]
			[0.2 color <0.2 , 0.5 , 0.25>]
			[0.3 color <.2 , 0.7 , 0.0>]
			[0.4 color <.3 , 0.4 , 0.0>]
			[0.5 color <.4 , 0.3 , 0.0>]
			[0.8 color <.2,.18 , 0.22>]
			//[1.0 color <.2, 0.2 , 0.2>]
		} 
		 scale .5 
	}   
//   pigment { gradient y color_map { [ 0.0 color nice2 ] [ 0.9 color nice ] } }
   finish {
	  crand 0.025         // dither  - not used often, but this image needs it. 
	  ambient 0.2         // Very dark shadows
	  diffuse 0.8         // Whiten the whites
	  //phong 0.2          // shiny
	 // phong_size 100.0    // with tight highlights
	 // specular 0.5
	  roughness 0.15
   }
   translate <-0.5, -0.5,-0.5>  // Center the image by half  
    scale < 1200, 200.0, 1200 >  // scale horiz x 1200 and vert x 64          
    rotate y*40

}

sky_sphere {
  pigment {
    gradient y
    color_map {
      [0.0 color rgb<0.9, 0.9, 1.0>]
      [0.95 color rgb<0.4, 0.5, 1.0>]
      [1.0 color rgb<0.0, 0.0, 1.0>]
    }
  }
}
